
Foreman - Feature #5753

Allow customisation of autocomplete_search path for resources in filter create/edit

05/16/2014 08:36 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee:    

Category: Plugin integration   

Target version: 1.6.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The filter create/edit page uses a standard autocomplete_search path for resources, but plugins such as Katello want to customise

the location of this route.  This should probably be expressed via the plugin registration interface.

Related issues:

Related to Foreman - Bug #12827: Allow non isolated engines to add overrides ... Closed 12/15/2015

Copied from Foreman - Bug #5553: Filter create/edit breaks if the resource ty... Closed 05/02/2014

Associated revisions

Revision dd941089 - 07/02/2014 10:08 AM - Dmitri Dolguikh 

fixes #5753: Engines can now override autocomplete path used in FiltersHelper

History

#1 - 05/16/2014 08:36 AM - Dominic Cleal

- Copied from Bug #5553: Filter create/edit breaks if the resource type does not have a corresponding controller with 'autocomplete_search' added

#2 - 05/16/2014 08:37 AM - Dominic Cleal

- Status changed from New to Assigned

#3 - 05/16/2014 01:43 PM - Anonymous

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/1452

#4 - 05/19/2014 12:39 PM - Anonymous

- Target version changed from 1.8.3 to 1.8.2

#5 - 06/11/2014 02:57 PM - Anonymous

- Target version changed from 1.8.2 to 1.8.1

#6 - 07/02/2014 10:05 AM - Dominic Cleal

- Category changed from Web Interface to Plugin integration

- translation missing: en.field_release set to 10

#7 - 07/02/2014 11:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset dd9410892244b0c2d499ce76e1822d6a317c448f.
https://github.com/theforeman/foreman/pull/1452
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/dd9410892244b0c2d499ce76e1822d6a317c448f


#8 - 12/15/2015 08:58 AM - Marek Hulán

- Related to Bug #12827: Allow non isolated engines to add overrides to filters search path added
